2019-10-29 关于import tensorflow的若干问题

阿里云双11来了!从本博客参与阿里云,服务器最低只要86元/年!

此次总结一下前些天本人安装tensorflow所遇到的坑。
本人是win7、win10两个电脑,均采用anaconda安装,GPU、CPU版本,tf1.x以及tf2.0的也都试过安装,总结如下。
1、anaconda3目前默认安装的python是3.7.x,如果想装python2.x的最好下载anaconda2,只是为了兼容,减少不必要的报错。
2、tensorflow(以下简称tf)目前以及2.0版本,要注意tf版本与python的兼容问题,一般情况下tf都不支持最新的python版本,目前安装版本的最多的python版本是2.7、3.5、3.6。
3、tf的CPU版本不再详述,GPU版本安装CUDN、CUDNN的时候注意一般不要安装最新的版本,因为tf一般不支持最新的版本。目前最新的CUDN版本是10,我们可以下个9版本的并搜索与之对应的CUDNN版本下载安装即可。

以上3点只是帮助各位梳理一下要排除报错的一些思路,具体的方法各位看官csdn上博客园上搜索即可。

https://www.jianshu.com/p/f2df0d2ee601

Python量化投资网携手4326手游为资深游戏玩家推荐:《《我的世界》绮丽和风之旅 每一片樱花都是爱你的样子

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!
0 条回复 A 作者 M 管理员
    所有的伟大,都源于一个勇敢的开始!
欢迎您,新朋友,感谢参与互动!欢迎您 {{author}},您在本站有{{commentsCount}}条评论